# IRremoteESP8266: src/ir_Mirage.cpp File Reference

ir_Mirage.cpp File Reference

Support for Mirage protocol. More...

## Variables

const uint16_t | kMirageHdrMark = 8360
| uSeconds More...
const uint16_t | kMirageBitMark = 554
| uSeconds More...
const uint16_t | kMirageHdrSpace = 4248
| uSeconds More...
const uint16_t | kMirageOneSpace = 1592
| uSeconds More...
const uint16_t | kMirageZeroSpace = 545
| uSeconds More...
const uint32_t | kMirageGap = kDefaultMessageGap
| uSeconds (just a guess) More...
const uint16_t | kMirageFreq = 38000
| Hz. (Just a guess) More...

## Detailed Description

Support for Mirage protocol.

See also
  https://github.com/crankyoldgit/IRremoteESP8266/issues/1289

## Variable Documentation

## kMirageBitMark

const uint16_t kMirageBitMark = 554

uSeconds

## kMirageFreq

const uint16_t kMirageFreq = 38000

Hz. (Just a guess)

## kMirageGap

const uint32_t kMirageGap = kDefaultMessageGap

uSeconds (just a guess)

## kMirageHdrMark

const uint16_t kMirageHdrMark = 8360

uSeconds

## kMirageHdrSpace

const uint16_t kMirageHdrSpace = 4248

uSeconds

## kMirageOneSpace

const uint16_t kMirageOneSpace = 1592

uSeconds

## kMirageZeroSpace

const uint16_t kMirageZeroSpace = 545

uSeconds